*** empty log message ***
authorJim Meyering <jim@meyering.net>
Mon, 29 May 2000 20:41:10 +0000 (20:41 +0000)
committerJim Meyering <jim@meyering.net>
Mon, 29 May 2000 20:41:10 +0000 (20:41 +0000)
old/fileutils/ChangeLog
tests/cp/slink-2-slink [new file with mode: 0755]

index 72bbcd1..a920bdc 100644 (file)
@@ -1,3 +1,8 @@
+2000-05-29  Jim Meyering  <meyering@lucent.com>
+
+       * tests/cp/slink-2-slink: New test.
+       * tests/cp/Makefile.am (TESTS): Add slink-2-slink.
+
 2000-05-25  Jim Meyering  <meyering@lucent.com>
 
        * src/dd.c (close_stdout_wrapper): Don't dereference NULL pointer.
diff --git a/tests/cp/slink-2-slink b/tests/cp/slink-2-slink
new file mode 100755 (executable)
index 0000000..3b0db9a
--- /dev/null
@@ -0,0 +1,49 @@
+#!/bin/sh
+# `test cp --update A B' where A and B are both symlinks that point
+# to the same file
+
+if test "$VERBOSE" = yes; then
+  set -x
+  cp --version
+fi
+
+unset VERSION_CONTROL
+if test "${VERSION_CONTROL+set}" = set; then
+  echo '$0: the VERSION_CONTROL envvar is set --' \
+    ' unset it and rerun this test' >&2
+  exit 1
+fi
+
+# Make sure we get English translations.
+LANGUAGE=C
+export LANGUAGE
+LC_ALL=C
+export LC_ALL
+LANG=C
+export LANG
+
+pwd=`pwd`
+tmp=sl2sl-$$
+trap 'status=$?; cd $pwd; rm -rf $tmp && exit $status' 0
+trap 'exit $?' 1 2 13 15
+
+framework_failure=0
+mkdir $tmp || framework_failure=1
+cd $tmp
+
+touch file || framework_failure=1
+ln -s file a || framework_failure=1
+ln -s file b || framework_failure=1
+ln -s no-such-file c || framework_failure=1
+ln -s no-such-file d || framework_failure=1
+
+if test $framework_failure = 1; then
+  echo 'failure in testing framework'
+  exit 1
+fi
+
+fail=0
+cp --update --no-dereference a b || fail=1
+cp --update --no-dereference c d || fail=1
+
+exit $fail